<?php

final class ExtensionStorePublisherNewPackageController
  extends ExtensionStoreBaseController {

    use ExtensionStorePublisherControllerTrait;

    public function handleRequest(AphrontRequest $request) {
      $publisher = $this->findPublisher($request);
      if (!$publisher) {
        return new Aphront404Response();
      }

      if (!$publisher) {
        return new Aphront404Response();
      }

      return id(new ExtensionStoreExtensionEditEngine())
        ->setPublisher($publisher)
        ->setController($this)
        ->buildResponse();
  }
}
